Installer Git 2.8 Version Control System på Ubuntu 16.04

Git 2.8 version styringssystem til Linux Ubuntu Systems. Installer Git 2.8 på Ubuntu 16.04, Ubuntu 14.04, Ubuntu 15.04, Ubuntu 15.10 og Ubuntu 14.10-systemer.

Git er et versionskontrolsystem udviklet af Linus Torvalds selv. Han havde brug for en sådan software til at dele kode og udføre samarbejde med andre udviklere, så han havde skabt det.

Den nyeste version er tilgængelig Git 2.8 hvilket medfører følgende ændringer:

  • "Git grep" kan nu konfigureres (eller fortalt fra kommandolinjen) hvor mange tråde der skal bruges, når du søger i arbejdstræfilerne.
  • "Git hente" og venner der laver netværksforbindelser kan nu få besked om at kun bruge ipv4 (eller ipv6).
  • Nogle godkendelsesmetoder behøver ikke brugernavn eller adgangskode, men libcurl har brug for noget antydning om, at det er nødvendigt at udføre godkendelse.
  • Ny http.proxyAuthMethod konfigurationsvariabel kan bruges til at angive hvilken autentificeringsmetode der skal bruges
  • Tilføj en ramme for at gyde en gruppe processer parallelt, og brug den til at køre "git hente -recurse-submodules" parallelt.
  • Der er en ny DEVELOPER-knap, der aktiverer mange kompilator advarselsindstillinger i Makefile.
  • Konfigurationssystemet er blevet undervist til udtryk, hvor den fandt en dårlig konfigurationsvariabel på en bedre måde i sine fejlmeddelelser. "Git config" lærte en ny "-show-origin" mulighed for at angive, hvor værdierne kommer fra.
  • Den måde, hvorpå testskripterne konfigurerer Apache webserveren, er blevet opdateret for at arbejde også for Apache 2.4, der kører på RedHat-afledte distros.
  • Den interne API til at interagere med "remote. *" Konfigurationsvariabler er blevet strømlinet.
  • Testscripts er blevet opdateret for at fjerne antagelser, der ikke er bærbare mellem Git til POSIX og Git for Windows, eller at springe over med forventninger, der ikke er tilfredsstillende på Git for Windows.
  • Den lavnive kode, der bruges til at oprette symbolske referencer, er blevet opdateret for at dele mere kode med koden, der omhandler normale referencer.
  • På tværs af overgangen omkring Git version 2.0 brugt brugeren at få en temmelig høj advarsel, når han kører "git push" uden at indstille push.default konfigurationsvariabel. Vi advarer ikke længere, fordi overgangen var afsluttet for længe siden.
  • README er blevet omdøbt til README.md, og indholdet blev tweaked lidt for at gøre det lettere for øjnene.

For en komplet liste over ændringer og rettelser, besøg https://github.com/git/git/blob/master/Documentation/RelNotes/2.8.0.txt

Installer Git 2.8 på Ubuntu, via PPA

Kør følgende kommandoer i Terminal for at installere Git 2.8 på Ubuntu via PPA:

$ sudo add-apt-depot ppa: git-core / ppa $ sudo apt-get opdatering $ sudo apt-get install git

Giv en kommentar

Dette websted bruger Akismet til at reducere spam. Lær, hvordan dine kommentardata behandles.